a {
    user-select: none;
}

@media (max-width: 950px) {
    .layout {
        min-width: var(--layout-mobile-min-width);
        background: transparent;
    }

    .layout__col_left {
        display: none;
    }

    .layout_popup .menu {
        display: initial;
    }
    .layout_popup .site-search {
        display: initial;
    }
}


@media (max-width: 650px) {
    .layout__hide_650 {
        display: none;
    }

    .layout__toast {
        width: calc(100% - 50px);
        max-width: 650px;
    }
}

@media (max-width: 650px) {
    .icon_size_big {
        width: 20px;
        height: 20px;
        background-size: 20px 20px!important;
    }
    .icon_size_big.icon_text {
        padding-left: 25px;
        font-size: 1em;
        line-height: 20px;
    }


    .icon_size_medium {
        width: 20px;
        height: 20px;
        background-size: 20px 20px;
    }
    .icon_size_medium.icon_text {
        padding-left: 30px;
        font-size: 1.1em;
        line-height: 20px;
    }
}

.balloon {
    padding: 7px;
    white-space: normal;
    text-align: center;
    width: 100px;
}

@media (max-width: 550px) {
    .form:not(.form_minimal) .form__label {
        width: 125px;
        min-width: 125px;
    }

    .form:not(.form_minimal) .form__row_buttons-compact {
        padding-left: 149px;
    }

    .form input[type="text"], .form input[type="password"], .form input[type="tel"], .form select, .form textarea {
        font-size: 1.4em;
    }
}

@media (max-width: 550px) {
    .popup_layout_compact .popup__content {
        padding: 40px 20px 20px;
    }
}

.advantages {
    flex-direction: column;
    align-items: center;
}
.advantages__item {
    width: 260px;
}
.advantages__item_bonus {
    flex-flow: column;
    row-gap: 10px;
}

@media (max-width: 650px) {
    .carousel__button {
        width: 65px;
    }
    .carousel:hover .carousel__button_next {
        background-position: 20px center;
    }
    .carousel:hover .carousel__button_prev {
        background-position: 17px center;
    }
}

@media (max-width: 650px) {
    .toast__cols {
        flex-direction: column;
    }
}
@media (max-width: 450px) {
    .toast__col {
        width: 100%;
    }
    .toast__button {
        width: 100%;
    }
}

.logo__image,
.logo__domain {
    transition: opacity 200ms linear 0s;
}
.logo__image:hover,
.logo__domain:hover {
    opacity: 0.8;
}
.logo_telescope .logo__image {
    width: 64px;
    height: 64px;
    background: scroll no-repeat url('img/logo.svg') center center;
}
.logo_discover {
    max-width: 196px;
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}
.logo_discover .logo__image {
    width: 196px;
    height: 40px;
    background: scroll no-repeat url('img/logo-discover1.svg') center center;
    background-size: contain;
}
.logo_discover .logo__domain {
    display: none;
}
.logo_new-year .logo__image {
    width: 76px;
    height: 76px;
    background: scroll no-repeat url('img/logo-ny.svg') center center;
}
.logo_pulsar {
    max-width: 144px;
    display: flex;
    flex-flow: column nowrap;
    gap: 5px;
}
.logo_pulsar .logo__image {
    width: 144px;
    height: 30px;
    background: scroll no-repeat url('img/logo-pulsar.svg') left top;
}
.logo_iray {
    max-width: 120px;
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}
.logo_iray .logo__image {
    width: 104px;
    height: 40px;
    background: scroll no-repeat url('img/logo-iray.svg') left top;
}
.logo_nocpix {
    max-width: 120px;
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}
.logo_nocpix .logo__image {
    width: 125px;
    height: auto;
    aspect-ratio: 152/34;
    background: scroll no-repeat url('img/logo-nocpix.svg') left center;
    background-size: contain;
}
.logo_holosun {
    max-width: 170px;
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}
.logo_holosun .logo__image {
    width: 160px;
    height: 34px;
    background: scroll no-repeat url('img/logo-holosun.svg') left top;
}
.logo_meade {
    max-width: 180px;
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}
.logo_meade .logo__image {
    width: 180px;
    height: 38px;
    background: scroll no-repeat url('img/logo-meade.svg') left top;
}
.logo_vector-optics {
    max-width: 170px;
    display: flex;
    flex-flow: column nowrap;
    gap: 3px;
}
.logo_vector-optics .logo__image {
    width: 160px;
    height: 25px;
    background: scroll no-repeat url('img/logo-vector-optics.svg') center center;
    background-size: contain;
}
.logo__domain {
    margin-top: 9px; /* высота хвоста буквы p в Telescope1.ru */
    width: 151px;
    height: 36px;
    background: scroll no-repeat url('img/logo-domain.svg') center center;
}
.logo__domain:after {
    bottom: -15px;
}

@media (max-width: 850px) {
    .logo_help .logo__domain {
        display: none;
    }
}

@media (max-width: 650px) {
    .logo {
        justify-content: center;
        align-items: center;
        flex-grow: 1;
        height: 100%;
    }
    .logo__image,
    .logo_telescope .logo__image,
    .logo_new-year .logo__image {
        width: auto;
        height: auto;
        max-width: 60px;
        min-width: 60px;
        min-height: 60px;
        background-size: contain;
        flex-grow: 1;
    }
    .logo_telescope .logo__domain {
        width: auto;
        height: auto;
        min-width: 110px;
        min-height: 26px;
        background-position: center center;
        background-size: contain;
        flex-grow: 2;
    }
    .logo_telescope .logo__domain:after {
        content: '';
    }
    .logo_discover .logo__image {
        max-width: 160px;
        min-height: auto;
        background-size: contain;
    }
    .logo_help.logo_discover .logo__image {
        background-image: url('img/logo-discover1-small.svg');
    }

    .logo_pulsar .logo__image {
        max-width: 108px;
        max-height: 15px;
        min-height: auto;
        background: scroll no-repeat url('img/logo-pulsar-small.svg') center center;
    }
    .logo_iray .logo__image {
        max-width: 104px;
        max-height: 40px;
        min-height: auto;
        background-size: contain;
    }
    .logo_nocpix .logo__image {
        max-width: 150px;
        max-height: 35px;
        min-height: auto;
        background-size: contain;
    }
    .logo_holosun .logo__image {
        max-width: 150px;
        max-height: 35px;
        min-height: auto;
        background-size: contain;
    }
    .logo_meade .logo__image {
        max-width: 150px;
        max-height: 34px;
        min-height: auto;
        background-size: contain;
    }
    .logo_vector-optics .logo__image {
        max-width: 160px;
        min-height: auto;
        background-size: contain;
        max-height: 18px;;
        height: 18px;
    }
}

@media (max-width: 420px) {
    .logo__domain {
        display: none;
    }

    .logo_discover .logo__image {
        background-image: url('img/logo-discover1-small.svg');
    }
}

.menu__inner {
    position: absolute;
    background-color: var(--color-content-bg);
    overflow: auto;
}

/*
 * Меню категорий
 */
.menu__categories {
    font-size: 1.2em;
    line-height: 1.2;
}
.menu__item {
    padding: 15px 10px 15px 10px;
    position: relative;
    transition: background-color 0.3s ease 0s;
}
.menu__item_active {
    background-color: var(--color-underlay-bg);
}
.menu__item:active {
    background-color: var(--color-red);
}
.menu__arrow {
    content: '';
    display: block;
    width: 20px;
    height: 10px;
    position: absolute;
    top: 20px;
    right: 10px;
    background: url('img/menu-arrow-down.svg') scroll no-repeat;
    transition: all 0.3s linear;
}
.menu__item_active .menu__arrow {
    transform: rotate(-180deg);
}
.menu__sep {
    height: 1px;
    border-top: 1px solid var(--color-content-separator);
    background: none;
    padding: 0;
}
.menu__container {
    display: none;
}
.menu__item_active .menu__container {
    display: block;
}

/*
 * Субменю
 */
.menu__sub {
    font-size: 0.9em;
    margin-left: 25px;
    transition: max-height 0.3s ease 0s;

    margin-top: 10px;
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 5px;
}
.menu__sub .link {
    color: var(--color-text-default);
}
.menu__sub-item {
    box-sizing: border-box;
    width: 45%;
    padding: 2px 5px;
}
.menu__sub-item_active {
    background-color: var(--color-red);
}
.menu__sub-item_landing {
    width: 100%;
}
.menu__sub-item_important .link {
    color: var(--color-text-strong);
    font-weight: bold;
}
.menu__sub-item_hor-sep {
    height: 10px;
}

/*
 * Статические ссылки
 */
.menu__links {
    font-size: 1.2em;
    line-height: 1.2;
    background-color: var(--color-underlay-bg);
    margin-bottom: 30px;
}
.menu__link-item {
    padding: 5px 10px;
}
.menu__link-item_active {
    background-color: var(--color-red);
}
.menu__link-item:active {
    background-color: var(--color-red);
}
.menu__link-item_important {
    background-color: var(--color-gray-400);
}
.menu__link-item_hor-sep {
    height: 10px;
}

/*
 * Анимированная иконка меню
 */
.menu__ctrl {
    width: 60px;
    height: 60px;
    cursor: pointer;
}
@media (max-width: 650px) {
    .menu__ctrl {
        width: 35px;
        height: 35px;
    }
}
.menu__line {
    fill: none;
    stroke: #f1f1f1;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
    stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
}
.menu__line1 {
    stroke-dasharray: 60 207;
    stroke-width: 6;
}
.menu__line2 {
    stroke-dasharray: 60 60;
    stroke-width: 6;
}
.menu__line3 {
    stroke-dasharray: 60 207;
    stroke-width: 6;
}
.menu_on .menu__line1 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
}
.menu_on .menu__line2 {
    stroke-dasharray: 1 60;
    stroke-dashoffset: -30;
    stroke-width: 6;
}
.menu_on .menu__line3 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
}

.icon_nav {
    background-image: url('img/nav.svg');
}
.icon_search {
    background-image: url('img/search.svg');
}

.site-search {
    padding: 0;
    height: 100%;
}
.site-search__form input[type="text"] {
    font-size: 16px;
    height: 30px;
    padding-left: 30px;
}
.site-search__form input[type="submit"] {
    width: 20px;
    height: 20px;
    background-size: 20px 20px;
    top: 5px;
    left: 5px;
}
.site-search__wrapper {
    position: relative;
    display: block;
    background-color: #fff;
    width: auto;
    max-height: 100%;
    flex-grow: 1;
    max-height: calc(100dvh - 85px);
    overflow: auto;
}
.site-search__not-found {
    position: absolute;
    top: 50%;
    margin: -32px 0 0;
    text-align: center;
    width: 100%;
}

.header {
    background: var(--bg-header-glow-mobile);
    color: var(--color-text-default);
    position: sticky;
    top: 0;
    z-index: 9000;
}
.header__top {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    height: 36px;
}

.header__bottom {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    border-top: 5px solid var(--color-brand-bg);
    padding: 15px;
}

.header__top>* {
    padding: 3px 0;
}
.header__top>*+* {
    border-left: 1px solid var(--color-content-separator);
    padding-left: 20px;
}
.header__cell_role_logo {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-grow: 1;
}
.header__cell_role_help-headline,
.header__cell_role_help-right {
    flex-grow: 1;
}
.header__cell_role_help-right {
    display: flex;
    flex-flow: row nowrap;
    gap: 20px;
    justify-content: center;
    align-items: center;
}
.header__cell_role_location,
.header__cell_role_contact {
    line-height: 1.4;
}
.header__cell_role_navi,
.header__cell_role_user {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    gap: 15px;
}
.header__cell_role_navi {
    justify-content: flex-start;
}
.header__cell_role_user {
    justify-content: flex-end;
    position: relative;
}
.header__sep {
    background-color: var(--color-content-separator);
    min-height: 80px;
    width: 1px;
}

.header__headline {
    font-family: 'PFDinTextCompPro-Thin';
    font-size: 2em;
    text-transform: uppercase;
    text-align: center;
}
.header__headline span {
    font-family: 'PFDinTextCompPro-Regular';
    color: var(--color-text-strong);
}

.header__links {
    display: flex;
    flex-flow: column wrap;
    gap: 5px;
    text-align: center;
}
.header__link {
    min-width: 105px;
    background-color: var(--color-underlay-bg);
    color: var(--color-underlay-text);
}
.header__link_colored {
    background: var(--color-info-bg);
    color: var(--color-info-text);
}
.header__link_with-icon {
    display: flex;
    flex-flow: row nowrap;
    gap: 0.4em;
}

@media (max-width: 650px) {
    .header__top {
        gap: 10px;
    }
    .header__top>*+* {
        padding-left: 10px;
    }
    .header__bottom {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .header__links {
        display: none;
    }
    .header__cell {
        min-width: 40px;
    }
    .header__cell_role_logo {
        white-space: nowrap;
        max-width: 0px;
        height: 50px;
    }
    .header__cell_role_links {
        display: none;
    }
    .header__sep {
        min-height: 45px;
    }
}
@media (max-width: 450px) {
    .header__cell_role_help-right {
        display: none;
    }
}

.footer__left {
    display: flex;
    flex-flow: column nowrap;
    gap: 15px;
}
.footer__links {
    display: flex;
    gap: 10px;
}
.footer__links>* {
    white-space: nowrap;
}
.footer__links>*+* {
    border-left: 1px solid var(--color-content-separator);
    padding-left: 10px;
}
@media (max-width: 550px) {
    .footer__inner {
        gap: 30px;
    }
    .footer__inner {
        justify-content: center;
    }
    .footer__left {
        text-align: center;
    }
    .footer__payment {
        display: none;
    }
}

@media (max-width: 650px) {
    .top-slider .pager {
        text-align: center;
        width: 270px;
        top: auto!important;
        bottom: 20px!important;
        right: 0!important;
        left: 50%!important;
        margin-left: -135px;
        color: #fff;
    }
    .top-slider .pager>* {
        margin-left: auto;
        margin-right: auto;
    }
    .top-slider .nav {
        width: 65px;
    }
    .top-slider:hover .nav.next {
        background-position: 20px center;
    }
    .top-slider:hover .nav.prev {
        background-position: 17px center;
    }
}

@media (max-width: 650px) {
    .page-topics {
        display: none;
    }
}

/*
 * Разделы
 */
.page__section+.page__section {
    margin-top: 20px;
}

/*
 * Заголовки
 */
.page__title {
    font-size: 1.7em;
    line-height: 1;
    font-weight: normal;
    margin-bottom: 10px;
}
.page__headline_level_1 {
    font-size: 1.5em;
    line-height: 1;
    font-weight: normal;
    margin-bottom: 10px;
}
.page__headline_level_2 {
    font-size: 1.2em;
    line-height: 1;
    font-weight: bold;
    margin-bottom: 10px;
}

.home {
    gap: 40px;
}

@media (max-width: 500px) {
    .help-page__definitions tr {
        display: flex;
        flex-flow: row wrap;
        border: 1px solid var(--color-content-separator);
    }
    .help-page__definitions tr+tr {
        border-top: none;
    }
    .help-page__definitions tr td {
        display: block;
        width: 100%;
        border: none;
    }
    .help-page__definitions tr td+td {
        text-align: center;
    }

    .help-page__definitions_brands tr {
        display: flex;
        flex-flow: row wrap;
        border: 1px solid #f1f1f1;
    }
    .help-page__definitions_brands tr td {
        border-top: 1px solid var(--color-content-separator);
    }
    .help-page__definitions_brands tr td+td {
        text-align: left;
    }
}

@media (max-width: 700px) {
    .delivery-map section {
        flex-direction: column;
        gap: 10px;
    }
}

.icon_filter {
    background: url('img/filters.svg') scroll no-repeat 0 2px;
    background-size: 12px 12px;
    padding-left: 17px;
}

.filter {
    background: none;
    color: var(--color-text-default);
    border-radius: 0;
    margin-top: -10px;
}
.filter_open {
    background-color: var(--color-underlay-bg);
    color: var(--color-underlay-text);
}
.filter__bar {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    border-bottom: 1px solid transparent;
}
.filter_open .filter__bar {
    background-color: transparent;
    border-bottom: 1px solid var(--color-underlay-separator);
}
.filter__count {
    font-weight: bold;
    min-width: 80px;
}
.filter__submit {
    visibility: hidden;
}
.filter_open .filter__submit {
    visibility: visible;
}
.filter__icon {
    font-weight: bold;
}

.filter__inner {
    display: none;
}
.filter_open .filter__inner {
    display: initial;
}

.filter__item_enum .filter__options label {
    width: 19%;
}

@media (max-width: 600px) {
    .filter__item_enum .filter__options label {
        width: 32%;
    }
    .filter__item_numeric .inputs input {
        font-size: 16px;
    }
}
@media (max-width: 500px) {
    .filter__item_enum .filter__options label {
        width: 48%;
    }
}

.filter__search-bar {
    position: fixed;
    left: 0!important;
    bottom: 0!important;
    top: auto!important;
    width: 100%;
    padding: 15px;
    text-align: center;
}
.filter__search-bar:before {
    display: none;
}

.filter__help .help__popup {
    left: auto;
    right: 30px;
}

.review__item {
    flex-direction: column;
}
.review__product {
    min-width: auto;
}

.catalog__product-view {
    display: none;
}

.category-list {
    gap: 10px;
}
.category-list__item {
    width: 130px;
    height: 155px;
    border: 3px solid var(--color-content-separator);
    border-radius: 7px;
}
.category-list__image {
    margin: 0 auto;
    width: 100px;
    height: 100px;
}
.category-list__title {
    font-size: 1em;
}

@media (max-width: 550px) {
    .rating_form-element .rating__star {
        width: 14px;
        height: 14px;
        background-size: 14px 14px;
    }
}

@media (max-width: 600px) {
    .product-item_list {
        padding-right: 0;
    }

    .product-item_list .product-item__inner {
        display: grid;
        justify-content: flex-start;
        grid-template-areas:
            "viw txt"
            "viw buy"
            "viw .";
        padding: 10px 10px 30px;
    }


    .product-item_list .product-item__title {
        font-weight: normal;
    }

    .product-item_list .product-item__descr {
        display: none;
    }

    .product-item_list .product-item__delivery {
        position: absolute;
        bottom: 10px;
    }
    .product-item_list .product-item__icons {
        max-width: 140px;
        flex-direction: row;
        top: auto;
        left: 10px;
        bottom: 10px;
    }
}
@media (max-width: 400px) {
    .product-item_list .product-item__image {
        width: 90px;
        height: 90px;
    }

    .product-item_list .product-item__buy {
        min-width: auto;
        width: auto;
        height: auto;
    }
    .product-item_list .product-item__button {
        padding-left: 0;
    }
}

@media (max-width: 950px) {
    .product-card__warranty {
        display: none;
    }

    .product-card__reviews,
    .product-card__siblings {
        margin-top: 40px;
    }
}

@media (max-width: 700px) {
    .product-card__blocks {
        flex-direction: column-reverse;
    }
    .product-card__block_images {
        margin-top: 0;
        aspect-ratio: auto;
    }

    .product-card__block_offer {
        display: grid;
        grid-template:
            "main ."
            "main artl"
            "main btns"
            "main disc"
            "main .";
        max-width: 400px;
        min-width: auto;
        width: auto;
        flex-shrink: 1;
    }
    .product-card__articul {
        grid-area: artl;
        align-self: flex-end;
    }
    .product-card__callback {
        display: none;
    }
    .product-card__offer-main {
        grid-area: main;
        max-width: 270px;
    }
    .product-card__discount {
        grid-area: disc;
    }
    .product-card__buttons {
        grid-area: btns;
        flex-direction: column;
        align-self: flex-start;
    }
    .product-card__brand {
        display: none;
    }
}

.product-article__headline_level_1 {
    font-size: 1.6em;
}
.product-article__headline_level_2 {
    font-size: 1.4em;
}

@media (max-width: 650px) {
    .accessoires__items {
        justify-content: center;
    }
}

@media (max-width: 500px) {
    .basket-contents__delete {
        width: auto;
    }
    .basket-contents__delete a:after {
        content: 'x';
    }
}

.basket-form {
    display: flex;
    width: 100%;
}
